Loading...
Searching...
No Matches
BALL::ConnectedToPredicate::CTPNode Class Reference

`#include <BALL/KERNEL/standardPredicates.h>`

## Public Types

enum | BondType { BONDTYPE__UNINITIALISED = 0 , BONDTYPE__ANY = 1 , BONDTYPE__SINGLE = 2 , BONDTYPE__DOUBLE = 3 , BONDTYPE__TRIPLE = 4 , BONDTYPE__QUADRUPLE = 5 , BONDTYPE__AROMATIC = 6 }
typedef std::list< CTPNode * >::iterator | Iterator
typedef std::list< CTPNode * >::const_iterator | ConstIterator

## Public Member Functions

| CTPNode ()
| CTPNode (const CTPNode &node)
virtual | ~CTPNode ()
virtual void | destroy ()
void | setParent (CTPNode *parent)
CTPNode * | getParent () const
void | addChild (CTPNode *child)
void | removeChild (CTPNode *child)
::std::list< CTPNode * > & | getChildren ()
Iterator | begin ()
ConstIterator | begin () const
Iterator | end ()
ConstIterator | end () const
Size | getNumberOfChildren () const
void | setBondType (Size type)
void | setBondType (char type)
Size | getBondType () const
char | getBondTypeChar () const
String | getSymbol () const
void | setSymbol (const String &symbol)
void | setFinished ()
void | unsetFinished ()
bool | isFinished () const
void | setLinked ()
void | unsetLinked ()
bool | isLinked () const
void | linkWith (CTPNode *partner)
const HashSet< CTPNode * > & | getLinkSet () const

## Detailed Description

Definition at line 486 of file standardPredicates.h.

## Member Typedef Documentation

## ConstIterator

typedef std::list<CTPNode*>::const_iterator BALL::ConnectedToPredicate::CTPNode::ConstIterator

Definition at line 502 of file standardPredicates.h.

## Iterator

typedef std::list<CTPNode*>::iterator BALL::ConnectedToPredicate::CTPNode::Iterator

Definition at line 501 of file standardPredicates.h.

## Member Enumeration Documentation

## BondType

enum BALL::ConnectedToPredicate::CTPNode::BondType

Enumerator
BONDTYPE__UNINITIALISED |
BONDTYPE__ANY |
BONDTYPE__SINGLE |
BONDTYPE__DOUBLE |
BONDTYPE__TRIPLE |
BONDTYPE__QUADRUPLE |
BONDTYPE__AROMATIC |

Definition at line 490 of file standardPredicates.h.

## Constructor & Destructor Documentation

## CTPNode() [1/2]

BALL::ConnectedToPredicate::CTPNode::CTPNode | ( |  | ) |

## CTPNode() [2/2]

BALL::ConnectedToPredicate::CTPNode::CTPNode | ( | const CTPNode & | node | ) |

## ~CTPNode()

virtual BALL::ConnectedToPredicate::CTPNode::~CTPNode | ( |  | ) |

virtual

## Member Function Documentation

## addChild()

void BALL::ConnectedToPredicate::CTPNode::addChild | ( | CTPNode * | child | ) |

## begin() [1/2]

Iterator BALL::ConnectedToPredicate::CTPNode::begin | ( |  | ) |

## begin() [2/2]

ConstIterator BALL::ConnectedToPredicate::CTPNode::begin | ( |  | ) | const

## destroy()

virtual void BALL::ConnectedToPredicate::CTPNode::destroy | ( |  | ) |

virtual

## end() [1/2]

Iterator BALL::ConnectedToPredicate::CTPNode::end | ( |  | ) |

## end() [2/2]

ConstIterator BALL::ConnectedToPredicate::CTPNode::end | ( |  | ) | const

## getBondType()

Size BALL::ConnectedToPredicate::CTPNode::getBondType | ( |  | ) | const

## getBondTypeChar()

char BALL::ConnectedToPredicate::CTPNode::getBondTypeChar | ( |  | ) | const

## getChildren()

::std::list< CTPNode * > & BALL::ConnectedToPredicate::CTPNode::getChildren | ( |  | ) |

## getLinkSet()

const HashSet< CTPNode * > & BALL::ConnectedToPredicate::CTPNode::getLinkSet | ( |  | ) | const

## getNumberOfChildren()

Size BALL::ConnectedToPredicate::CTPNode::getNumberOfChildren | ( |  | ) | const

## getParent()

CTPNode * BALL::ConnectedToPredicate::CTPNode::getParent | ( |  | ) | const

## getSymbol()

String BALL::ConnectedToPredicate::CTPNode::getSymbol | ( |  | ) | const

## isFinished()

bool BALL::ConnectedToPredicate::CTPNode::isFinished | ( |  | ) | const

## isLinked()

bool BALL::ConnectedToPredicate::CTPNode::isLinked | ( |  | ) | const

## linkWith()

void BALL::ConnectedToPredicate::CTPNode::linkWith | ( | CTPNode * | partner | ) |

## removeChild()

void BALL::ConnectedToPredicate::CTPNode::removeChild | ( | CTPNode * | child | ) |

## setBondType() [1/2]

void BALL::ConnectedToPredicate::CTPNode::setBondType | ( | char | type | ) |

## setBondType() [2/2]

void BALL::ConnectedToPredicate::CTPNode::setBondType | ( | Size | type | ) |

## setFinished()

void BALL::ConnectedToPredicate::CTPNode::setFinished | ( |  | ) |

## setLinked()

void BALL::ConnectedToPredicate::CTPNode::setLinked | ( |  | ) |

## setParent()

void BALL::ConnectedToPredicate::CTPNode::setParent | ( | CTPNode * | parent | ) |

## setSymbol()

void BALL::ConnectedToPredicate::CTPNode::setSymbol | ( | const String & | symbol | ) |

## unsetFinished()

void BALL::ConnectedToPredicate::CTPNode::unsetFinished | ( |  | ) |

## unsetLinked()

void BALL::ConnectedToPredicate::CTPNode::unsetLinked | ( |  | ) |